> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List All DMs > List all DMs in the workspace. Permission required:`view-room-administration`. ### Changelog | Version | Description | | ------------ | ------------| |0.49.0 | Added | ## OpenAPI ````json GET /api/v1/dm.list.everyone { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/dm.list.everyone": { "get": { "tags": [ "Direct Messages" ], "summary": "List All DMs", "description": "List all DMs in the workspace. \n\nPermission required:`view-room-administration`.\n\n### Changelog\n| Version | Description | \n| ------------ | ------------|\n|0.49.0 | Added |", "operationId": "get-api-v1-im.list.everyone", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/query" }, { "$ref": "#/components/parameters/fields" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "ims": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "t": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "string" } }, "usersCount": { "type": "integer" }, "msgs": { "type": "integer" }, "ts": { "type": "string" }, "uids": { "type": "array", "items": { "type": "string" } }, "default": { "type": "boolean" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "_USERNAMES": { "type": "array", "items": { "type": "string" } }, "lastMessage": { "type": "object", "properties": { "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_id": { "type": "string" }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object", "properties": { "url": { "type": "string" }, "meta": { "type": "object" } } } }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" }, "src": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } }, "label": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } } } } } } } }, "lm": { "type": "string" } } } }, "offset": { "type": "integer" }, "count": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "ims": [ { "_id": "rYhzFRd2QZjNwAAXXrocket.cat", "t": "d", "usernames": [ "rocket.cat", "rodriq" ], "usersCount": 2, "msgs": 20, "ts": "2023-01-25T02:00:18.095Z", "uids": [ "rYhzFRd2QZjNwAAXX", "rocket.cat" ], "default": false, "ro": false, "sysMes": true, "_updatedAt": "2023-06-22T02:00:10.474Z", "_USERNAMES": [ "rocket.cat", "rodriq" ], "lastMessage": { "rid": "rYhzFRd2QZjNwAAXXrocket.cat", "msg": "*Update your Rocket.Chat*\nNew version available (6.2.8)\nhttps://github.com/RocketChat/Rocket.Chat/releases/tag/6.2.8", "ts": "2023-06-22T02:00:10.367Z", "u": { "_id": "rocket.cat", "username": "rocket.cat", "name": "Rocket.Cat" }, "_id": "T2KoWNeAgJM4zvTvt", "_updatedAt": "2023-06-22T02:00:10.453Z", "urls": [ { "url": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.2.8", "meta": {} } ], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "BOLD", "value": [ { "type": "PLAIN_TEXT", "value": "Update your Rocket.Chat" } ] } ] }, { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "New version available (6.2.8)" } ] }, { "type": "PARAGRAPH", "value": [ { "type": "LINK", "value": { "src": { "type": "PLAIN_TEXT", "value": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.2.8" }, "label": [ { "type": "PLAIN_TEXT", "value": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.2.8" } ] } } ] } ] }, "lm": "2023-06-22T02:00:10.367Z" }, { "_id": "6xia7f5JEYM4Fjxzt", "t": "d", "usernames": [ "rodriq" ], "usersCount": 2, "msgs": 0, "ts": "2023-01-30T11:43:22.047Z", "uids": [ "rYhzFRd2QZjNwAAXX" ], "default": false, "ro": false, "sysMes": true, "_updatedAt": "2023-01-31T14:40:37.483Z", "_USERNAMES": [ "rodriq" ], "lm": "2023-01-30T11:43:30.046Z" } ], "offset": 0, "count": 2, "total": 2, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "query": { "name": "query", "in": "query", "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": query=`{ \"name\": { \"$regex\": \"g\" }}`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": {} }, "fields": { "name": "fields", "in": "query", "description": "This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: fields=`{ \"username\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": { "type": "string" } } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````